Starcraft, Diablo II Won’t Run Natively in Lion

Diablo 2

If you’re a Mac gamer who appreciates the old Blizzard classics, then you may want to think twice about upgrading to Lion just yet. Blizzard has announced that some of its older games will not run natively in Mac OS X 10.7.

Right now it seems like Warcraft III will still run fine, but Diablo 2 and Starcraft will not. “So what?” you might say. “Nobody cares about these 11 year old games anyway, right?” You’re very, very wrong. Both games still enjoy a fairly large community that rivals some modern B-list games, and this is bound to affect a number of customers.

“Due to certain changes in the Mac operating system, StarCraft, StarCraft: Brood War, Diablo II and Diablo II: Lord of Destruction will not run on Mac OS X 10.7,” said a representative of Blizzard. “While these titles should still technically be able to operate under Boot Camp, we will not be able to provide support for these titles running on Mac OS X 10.7.”

The games will continue to run fine on Snow Leopard (OS X 10.6), and Blizzard will continue to support and patch those games. Warcraft III didn’t escape unscathed though. It’s updater apparently won’t run on 10.6, so Blizzard is trying to invent a workaround. For the time being, that game wont be able to be patched on Lion.

Incoming search terms:

  • lion games


Comment via Facebook